package cn.iocoder.yudao.common;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

public interface ErrorCodeConstants {
    ErrorCode BASE_TYPE_NOT_EXISTS = new ErrorCode(500, "配置类型不存在");
    ErrorCode BASE_TYPE_EXITS_CHILDREN = new ErrorCode(500, "存在子配置类型，无法删除");
    ErrorCode BASE_WAREHOUSE_EXITS_CHILDREN = new ErrorCode(500, "存在子配置类型，无法删除");
    ErrorCode BASE_TYPE_NAME_DUPLICATE = new ErrorCode(500, "同父级下配置类型名称或编码重复");
    ErrorCode BASE_WAREHOUSE_NAME_DUPLICATE = new ErrorCode(500, "同父级下仓库区域名称或编码重复");
    ErrorCode CUSTOMER_ACTIVE_ONE_COUPON = new ErrorCode(500, "请至少选择一个礼包卡");
    ErrorCode CUSTOMER_ACTIVE_NO_RULE = new ErrorCode(500, "当前活动未设置充值规则，请联系管理员设置");
}
